Bug 125384 - Customization dialog opens with the wrong tab (gtk3)
Summary: Customization dialog opens with the wrong tab (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-05-20 09:59 UTC by Maxim Monastirsky
Modified: 2019-11-14 15:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2019-05-20 09:59:24 UTC
Steps to reproduce:

1. Open any LO app using gtk3.
2. Right click on any toolbar.
3. From the context menu, choose "Customize Toolbar..."

Actual results:
The customization dialog opens with the Menus tab active.

Expected results:
The Toolbars tab should be active.
Comment 1 Xisco Faulí 2019-05-20 10:51:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3a42ee3284df7020ef111293a4d11148c1bf3a50

author	Caolán McNamara <caolanm@redhat.com>	2019-03-08 09:06:21 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-11 15:37:05 +0100
commit	3a42ee3284df7020ef111293a4d11148c1bf3a50 (patch)
tree	d12e7c85bb5e58c0ede3a500d56856e24a9ade0a
parent	231c06c5c2320c0465df0cbeab4c754937a05a9b (diff)
weld SvxConfigDialog

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-05-21 07:55:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d92d98b35bb1846c82b401a53392a64118f51da2%5E%21

tdf#125384 allow setting initial tabpage before dialog is running

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-05-22 12:31:46 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: e7fb44b8c86b4dce1d4c6f15752cc3bf62b14888
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!